<?php

//Clase de Paises
class clase
{
  	var $nom_tabla = 'fstocks';
  	var  $codigo = '0';
	var  $n_reg = '0';
	var  $tip_ven = '0';
	//var  $modulo = '0';
	var  $np_desc1 = '0';
	var  $ubicacion = '0';
	var  $acc_fec = '0';
	var  $acc_hor = '0';
	var  $usuario = '0';
	
	//var  $fac_rend = '0';
	var  $status = '0';
	var  $lastInsId = '0';
	var  $almacen = '0';
	var  $factor = '0';
	var  $unidad = '0';
	var  $capacidad = '0';
	var  $invmin = '0';
	var  $invmax = '0';
	var  $ultimoc = '0';
	var  $costop = '0';
	var  $existencia = '0';
	var  $maxe = '0';
	var  $maxf = '0';
	var  $maxm = '0';
	var  $maxa = '0';
	var  $maxma = '0';
	var  $maxj = '0';
	var  $maxju = '0';
	var  $maxag = '0';
	var  $maxs = '0';
	var  $maxo = '0';
	var  $maxn = '0';
	var  $maxd = '0';
	var  $mine = '0';
	var  $minf = '0';
	var  $minm = '0';
	var  $mina = '0';
	var  $minma = '0';
	var  $minj = '0';
	var  $minju = '0';
	var  $minag = '0';
	var  $mins = '0';
	var  $mino = '0';
	var  $minn = '0';
	var  $mind = '0';
	var  $entradae = '0';
	var  $entradaf = '0';
	var  $entradam = '0';
	var  $entradaa = '0';
	var  $entradama = '0';
	var  $entradaj = '0';
	var  $entradaju = '0';
	var  $entradaag = '0';
	var  $entradas = '0';
	var  $entradao = '0';
	var  $entradan = '0';
	var  $entradad = '0';
	var  $salidae = '0';
	var  $salidaf = '0';
	var  $salidam = '0';
	var  $salidaa = '0';
	var  $salidama = '0';
	var  $salidaj = '0';
	var  $salidaju = '0';
	var  $salidaag = '0';
	var  $salidas = '0';
	var  $salidao = '0';
	var  $salidan = '0';
	var  $salidad = '0';
	
//Funcion de Revicion
	function revisar(){
		$codVar='';
		if($this->cod_var!='')
			$codVar="OR cod_var = '$this->cod_var'";
		$sql = "SELECT * FROM $this->nom_tabla WHERE n_reg = '$this->n_reg' $codVar";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$this->n_reg=$this->getIdToInsert();
		$sql = "insert into $this->nom_tabla (n_reg, np_desc1, ubicacion, acc_fec, acc_hor, usuario, codigo, almacen, factor, unidad, capacidad, invmin, invmax, ultimoc, costop, existencia, maxe, maxf, maxm, maxa, maxma, maxj, maxju, maxag, maxs, maxo, maxn, maxd, mine, minf, minm, mina, minma, minj, minju, minag, mins, mino, minn, mind, entradae, entradaf, entradam, entradaa, entradama, entradaj, entradaju, entradaag, entradas, entradao, entradan, entradad, salidae, salidaf, salidam, salidaa, salidama, salidaj, salidaju, salidaag, salidas, salidao, salidan, salidad) values ('$this->n_reg', '$this->np_desc1', 'V', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."', '$this->codigo', '$this->almacen', '$this->factor', '$this->unidad', '$this->capacidad', '$this->invmmin', '$this->invmax', '$this->ultimoc', '$this->costop', '$this->existencia', '$this->maxe', '$this->maxf', '$this->maxm', '$this->maxa', '$this->maxma', '$this->maxj', '$this->maxju', '$this->maxag', '$this->maxs', '$this->maxo', '$this->maxn', '$this->maxd', '$this->mine', '$this->minf', '$this->minm', '$this->mina', '$this->minma', '$this->minj', '$this->minju', '$this->minag', '$this->mins', '$this->mino', '$this->minn', '$this->mind', '$this->entradae', '$this->entradaf', '$this->entradam', '$this->entradaa', '$this->entradama', '$this->entradaj', '$this->entradaju', '$this->entradaag', '$this->entradas', '$this->entradao', '$this->entradan', '$this->entradad', '$this->salidae', '$this->salidaf', '$this->salidam', '$this->salidaa', '$this->salidama', '$this->salidaj', '$this->salidaju', '$this->salidaag', '$this->salidas', '$this->salidao', '$this->salidan', '$this->salidad')";	   
		$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla WHERE modulo='RES'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($n_reg){
		$sql= "SELECT * FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
	
	//Funcion de Lista con Busqueda de posicion de venta 
	function lista_busqueda1($n_reg){
		$sql= "SELECT * FROM $this->nom_tabla WHERE pos_pun_ven = $_POST['pos_pun_ven']";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $ok;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
	function getIdToInsert(){
		$dt_invent=mysqli_fetch_array(mysqli_query($GLOBALS['con'] ,'select n_reg from fstocks order by CAST(n_reg AS UNSIGNED) desc limit 1'));
		return ($dt_invent['n_reg']+1);
	}
//Funcion de Modificar
	function modifica($n_reg){
		$sql = "UPDATE $this->nom_tabla SET np_desc1='$this->np_desc1', ubicacion='V',  acc_fec='".date('Y-m-d')."', acc_hor='".date('H:i:s')."', usuario= '".$_SESSION['num_usu']."',cod_var='$this->cod_var', codigo='$this->codigo', maxe='$this->maxe', maxf='$this->maxf', maxm='$this->maxm', maxa='$this->maxa', maxma='$this->maxma', maxj='$this->maxj', maxju='$this->maxju', maxag='$this->maxag', maxs='$this->maxs', maxo='$this->maxo', maxn='$this->maxn', maxd='$this->maxd' where n_reg ='$n_reg'";
		
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($n_reg){   
		$sql = "DELETE FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>